summaryrefslogtreecommitdiff
path: root/package/base-files/src/usr/share/udhcpc
diff options
context:
space:
mode:
authorWaldemar Brodkorb <wbx@openadk.org>2010-02-07 20:03:20 +0100
committerWaldemar Brodkorb <wbx@openadk.org>2010-02-07 20:03:20 +0100
commit6daa792eab1488d013fefc5eb7e4d01f40f38687 (patch)
tree6391cc46bb9fc8b859d99175ea317e5fa7b37959 /package/base-files/src/usr/share/udhcpc
parentadcaca72539b2ff4a5f4deee00d5f0251378ac9b (diff)
change defaults for CONFIG/BUILD/INSTALL styles
All packages need an update, so here is a very huge commit. Most of the 460 source packages use automatic style for configuration, building and installing. Make these styles default to "auto". If you have a package, which does not conform to this, just use manual style and add a do-$task make target. I added a new style named AUTOTOOL style, which is needed for some broken packages, which needs to be updated via autoconf or automake. I renamed CONFIGURE_STYLE to CONFIG_STYLE. Updates for some packages, which have newer upstream versions. Renaming of all package/*/extra directories. Use the directory src/ to provide overwrites of source files or to add the code, when no upstream package is available or used. src directory will be automatically used.
Diffstat (limited to 'package/base-files/src/usr/share/udhcpc')
-rwxr-xr-xpackage/base-files/src/usr/share/udhcpc/default.script38
1 files changed, 38 insertions, 0 deletions
diff --git a/package/base-files/src/usr/share/udhcpc/default.script b/package/base-files/src/usr/share/udhcpc/default.script
new file mode 100755
index 000000000..02e4a7a3c
--- /dev/null
+++ b/package/base-files/src/usr/share/udhcpc/default.script
@@ -0,0 +1,38 @@
+#!/bin/sh
+if [[ -z $1 ]]; then
+ echo "Error: should be run by udhcpc"
+ exit 1
+fi
+
+RESOLV_CONF=/tmp/resolv.conf
+
+case $1 in
+(deconfig)
+ ip addr flush $interface
+ ;;
+(renew|bound)
+ ip addr add $ip/${mask:-24} brd + dev $interface
+
+ if [[ -n $router ]]; then
+ echo "deleting routers"
+ while ip route del default >&- 2>&-; do :; done
+
+ for i in $router; do
+ echo "adding router $i"
+ ip route add to default via $i
+ done
+ fi
+
+ echo -n >$RESOLV_CONF
+ ${domain:+echo search $domain} >>$RESOLV_CONF
+ for i in $dns; do
+ echo "adding dns $i"
+ echo "nameserver $i" >>$RESOLV_CONF
+ done
+
+ # user rules
+ [ -f /etc/udhcpc.user ] && . /etc/udhcpc.user
+;;
+esac
+
+exit $?